> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# All Locations

> List of All locations continents/countries/regions.



## OpenAPI

````yaml /api-reference/services_documented/dns_api.yaml get /dns/v2/locations
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DNS API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Analyze
    x-displayName: Analyze
  - name: DNS Locations
    x-displayName: DNS Locations
  - name: Lookup
    x-displayName: Lookup
  - name: Metrics
    x-displayName: Metrics
  - name: NetworkMappings
    x-displayName: NetworkMappings
  - name: Pickers
    x-displayName: Pickers
  - name: DNS Clients
    x-displayName: DNS Clients
  - name: Zones
    x-displayName: Zones
  - name: DNSSEC
    x-displayName: DNSSEC
  - name: RRsets
    x-displayName: RRsets
paths:
  /dns/v2/locations:
    get:
      tags:
        - DNS Locations
      summary: All Locations
      description: List of All locations continents/countries/regions.
      operationId: AllLocations
      responses:
        '200':
          description: AllResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AllResponse'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            locations = client.dns.locations.list()
            print(locations.continents)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tlocations, err := client.DNS.Locations.List(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", locations.Continents)\n}\n"
components:
  schemas:
    AllResponse:
      type: object
      properties:
        continents:
          $ref: '#/components/schemas/ContinentsResponse'
        countries:
          $ref: '#/components/schemas/CountriesResponse'
        regions:
          $ref: '#/components/schemas/RegionsResponse'
    ContinentsResponse:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/LocationTranslations'
    CountriesResponse:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/LocationTranslations'
    RegionsResponse:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/LocationTranslations'
    LocationTranslations:
      type: object
      properties:
        names:
          type: object
          additionalProperties:
            type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````